#!/usr/bin/env python

"""
NAME:
    HtmlView.py  

SYNOPSIS:
    HtmlView.py [options] filename

DESCRIPTION:
    blah blah blah

OPTIONS:
    -h,--help        this message
    -v,--version     version
    -d,--debug       turn on debug messages
    --bb=xyz         set option bb to xyz

EXAMPLES:
    1. As standalone
        HtmlView.py -d myfile
    2. As library
        import HtmlView
        ...

#Copyright (C) 2003  Harry George hgg9140@seanet.com
#http://www.seanet.com/~hgg9140
#
#    This program is free software; you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation; either version 2 of the License, or
#    (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with this program; if not, write to the Free Software
#    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.


"""
#===imports======================
import sys,os,getopt,time

#===globals======================
modname="HtmlView"
__version__="0.1"

#--option args--
debug_p=0
#opt_b=None  #string arg, default is undefined

#---positional args, default is empty---
pargs=[]    

#---other---

#===utilities====================
def msg(txt):
    sys.stdout.write(txt)
    sys.stdout.flush()

def debug(ftn,txt):
    if debug_p:
        sys.stdout.write("%s.%s:%s\n" % (modname,ftn,txt))
        sys.stdout.flush()

def fatal(ftn,txt):
    msg="%s.%s:FATAL:%s\n" % (modname,ftn,txt)
    raise SystemExit, msg
 
def usage():
    print __doc__
#====================================
class Htmlviewer:
    #---class variables---
    #--------------------------
    def __init__(self,model=None):
        ftn="Htmlview.__init__"
        #---instance variables---
        self.model=model
    #--------------------------
    def run(self,wr=sys.stdout):
        ftn="Htmlview.run"
        mdl=self.model
        #---preamble---
        for line in mdl.preamble_begin:
            #debug(ftn,"pre="+line)
            self.rawout(line)
        for line in mdl.preamble_append:
            self.rawout(line)
        for line in mdl.preamble_end:
            self.rawout(line)

        #---body---
        for x in mdl.body.sections:
            pass

        #---postamble---
        if mdl.data['index_p']=="1":
            self.driver_index()
        for line in mdl.postamble:
            self.rawout(line)
    
    
    #--------------------------
    def rawout(self):
        ftn="Htmlview.__init__"
        self.driverfile.write(line)
        
        
#=============================
def main(args):
    x=Htmlview()
    x.run()
    
#-------------------------
if __name__ == '__main__':
    ftn = "main"
    opts,pargs=getopt.getopt(sys.argv[1:],'hvd',
                 ['help','version','debug',
                  'bb='])
    for opt in opts:
        if opt[0]=='-h' or opt[0]=='--help':
            print modname+": version="+__version__
            usage()
            sys.exit(0)
        elif opt[0]=='-v' or opt[0]=='--version':
            print modname+": version="+__version__
            sys.exit(0)
        elif opt[0]=='-d' or opt[0]=='--debug':
            debug_p=1
        elif opt[0]=='--bb':
            opt_b=opt[1]

    #---make the object and run it---
    main(pargs)

#===Revision Log===
#Created by mkpythonproj:
#2003-11-23  Harry George  
#
