#/* Pdx/Seminar.py 
# * Copyright (C) 2000  Harry George
# *
# * This library is free software; you can redistribute it and/or
# * modify it under the terms of the GNU Library General Public
# * License as published by the Free Software Foundation; either
# * version 2 of the License, or (at your option) any later version.
# *
# * This library is distributed in the hope that it will be useful,
# * but WITHOUT ANY WARRANTY; without even the implied warranty of
# * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# * Library General Public License for more details.
# *
# * You should have received a copy of the GNU Library General Public
# * License along with this library; if not, write to the
# * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
# * Boston, MA 02111-1307, USA.
# */

__version__='0.4'

import sys,os,time,re,string
import Base,Latex

def debug(ftn,txt):
    sys.stdout.write("Pdx.Seminar."+ftn+":"+txt+"\n")
    sys.stdout.flush()

#-------------------------------------------------
class  Seminar(Latex.Latex):
    classname="Seminar"
    def __init__(self):
        Latex.Latex.__init__(self)
        self.driver="seminar"
        self.extension=".tex"
        self.pdf_p=1
        self._toc=[]
    #------------------
    def __del__(self):
        Latex.Latex.__del__(self)
    #--------------------
    def driver_head_marker(self,level):
        pdx_to_tex_head = {
            1 : "chapter",
            2 : "section",
            3 : "subsection",
            4 : "subsubsection",
            5 : "paragraph",
            }

        offset=1
        return pdx_to_tex_head[int(level)+offset]

    #--------------------
    def driver_head(self,label,level,name):
        if self._pass==1:
            data=[level,name,label]
            self._toc.append(data)
        marker=self.driver_head_marker(level)
        self.rawout('\\%s*{' % marker)
        self.out(name)
        self.rawout('}\n')

    #--------------------
    def driver_head_numbered(self,label,level,name):
        if self._pass==1:
            data=[level,name,label]
            self._toc.append(data)
        marker=self.driver_head_marker(level)
        self.rawout('\\%s{' % marker)
        self.out(name)
        self.rawout('}\n')
    #--------------------
    def driver_index(self):
        self.rawout('\\printindex\n')
            
    #--------------------
    def driver_toc(self):
        pass

    #---------------------
    def driver_xref(self,term):
        ftn = "do_xref"
        return r'\index{'+term+r'}'


#===========================
if __name__=='__main__':
   ftn="main"


